[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# add(Tvector3_extended,extended):Tvector3_extended

Add scalar to three-dimensional extended precision vector

## Declaration

Source position: matrix.pp line 413

`operator operator +(`
`const x: Tvector3_extended;`
`y: extended`
`):Tvector3_extended;`

## Description

This operator allows you to add a scalar value to a vector. The scalar is added to all elements of the vector, the result is returned as a new vector.